OnlyFans API
FanslyVault

Delete Vault Album

Delete a vault album. The media inside it is not deleted — it stays in the vault and in any other album it belongs to.

DELETE
/api/fansly/{fanslyAccount}/vault/albums/{album_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

album_id*string

The Fansly vault album ID.

Response Body

application/json

curl -X DELETE "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/vault/albums/943707572253241344"
{
  "data": {
    "id": "300000000000000004",
    "accountId": "800000000000000001",
    "pos": 4,
    "title": "Summer 2026 (final)",
    "description": "Beach shoot — final selects",
    "type": null,
    "status": 0,
    "version": 1,
    "createdAt": 1786491778000,
    "lastSyncAt": 1786491778000,
    "deletedAt": 1786491978130
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055790,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}